Debian Bug report logs - #505920
python-clutter: ends with Segmentation fault

version graph

Package: libselinux1; Maintainer for libselinux1 is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for libselinux1 is src:libselinux.

Reported by: Greg Auger <gregory.auger@googlemail.com>

Date: Sun, 16 Nov 2008 20:33:05 UTC

Severity: normal

Tags: help, unreproducible

Fixed in version libselinux/2.0.82-1

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gregory.auger@googlemail.com, Ross Burton <ross@debian.org>:
Bug#505920; Package python-clutter. (Sun, 16 Nov 2008 20:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg Auger <gregory.auger@googlemail.com>:
New Bug report received and forwarded. Copy sent to gregory.auger@googlemail.com, Ross Burton <ross@debian.org>. (Sun, 16 Nov 2008 20:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Greg Auger <gregory.auger@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-clutter: ends with Segmentation fault
Date: Sun, 16 Nov 2008 20:27:10 +0000
Package: python-clutter
Version: 0.8.0-1
Severity: normal

All programs that import clutter (even a simple one consisting entirely of "import clutter") end with "Segmentation fault".

This happens after the program's actions have happened (not stopping the actual program from running).



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-clutter depends on:
ii  libc6                     2.8+20080809-1 GNU C Library: Shared libraries
ii  libcairo2                 1.8.4-1        The Cairo 2D vector graphics libra
ii  libclutter-0.8-0          0.8.2-1        Open GL based interactive canvas l
ii  libclutter-cairo-0.8-0    0.8.2-1        Open GL based interactive canvas l
ii  libclutter-gst-0.8-0      0.8.0-1        Open GL based interactive canvas l
ii  libglib2.0-0              2.18.2-1       The GLib library of C routines
ii  libgstreamer0.10-0        0.10.21-5      Core GStreamer libraries and eleme
ii  libgtk2.0-0               2.14.4-3       The GTK+ graphical user interface 
ii  libpango1.0-0             1.22.2-1       Layout and rendering of internatio
ii  libxml2                   2.6.32.dfsg-4  GNOME XML library
ii  python                    2.5.2-3        An interactive high-level object-o
ii  python-support            0.8.7          automated rebuilding support for P

python-clutter recommends no packages.

python-clutter suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#505920; Package python-clutter. (Wed, 15 Apr 2009 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lethalman88@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Wed, 15 Apr 2009 15:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 505920@bugs.debian.org (full text, mbox):

From: Luca Bruno <lethalman88@gmail.com>
To: 505920@bugs.debian.org
Cc: Debian Control <control@bugs.debian.org>
Subject: python-clutter: ends with Segmentation fault
Date: Wed, 15 Apr 2009 16:58:14 +0200
[Message part 1 (text/plain, inline)]
reassign 505920 libselinux1
thanks

Hello,
happens to me too. This is the backtrace:

#0  0x00007f0576eac49d in ?? () from /lib/libselinux.so.1
#1  0x00007f0576e9f67f in ?? () from /lib/libselinux.so.1
#2  0x0000000000000000 in ?? ()

Apparently this bug has a workaround:
http://bugs.launchpad.net/ubuntu/+source/libselinux/+bug/237156

-- 
http://syx.googlecode.com - Smalltalk YX
http://lethalman.blogspot.com - Thoughts about computer technologies
http://www.debian.org - The Universal Operating System
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `python-clutter' to `libselinux1'. Request was from Luca Bruno <lethalman88@gmail.com> to control@bugs.debian.org. (Wed, 15 Apr 2009 15:00:05 GMT) Full text and rfc822 format available.

Message sent on to Greg Auger <gregory.auger@googlemail.com>:
Bug#505920. (Wed, 06 May 2009 06:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 505920-submitter@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: selinux@tycho.nsa.gov
Cc: 505920-forwarded@bgs.debian.org, Kees Cook <kees@debian.org>, 505920-submitter@bugs.debian.org, selinux-devel-owner@lists.alioth.debian.org
Subject: Problems with freeing thread local storage in libselinux
Date: Wed, 06 May 2009 01:32:13 -0500
[Message part 1 (text/plain, inline)]
Hi folks,

        There have been numerous reports in Debian and derivatives of
 programs linked with libselinux intermittently getting segfaults.
 There is, for instance, the Debian report 505920[0], and Ubuntu
 reports[1], [3] and [5], and Gnome [2]. I have not been able to
 reproduce the error myself, though I have run the test cases a number
 of times.

        The common thread in unclutter, libavg, gst-inspect et al. is a
 segmentation fault in libselinux1, in the 'fini' destructor functions,
 referencing the thread local variables.

        The Ubuntu bug log reference my old patch for libselinux from
 1.X days, where I replaced the thread local storage with regular
 variables and mutexes, and people report success with that.  I suspect
 that something is corrupting the thread local storage. From the ubuntu
 report:
--8<---------------cut here---------------start------------->8---
Valgrind reports:
=29183== Invalid read of size 8
==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
==29183== by 0xE29D040: (within /lib/libselinux.so.1)
==29183== by 0x570010F: exit (exit.c:75)
505920==29183== by 0x56E91CA: (below main) (libc-start.c:252)
==29183== Address 0x80 is not stack'd, malloc'd or (recently) free'd
==29183==
==29183== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==29183== Access not within mapped region at address 0x80
==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
==29183== by 0xE29D040: (within /lib/libselinux.so.1)==29183== by 0x570010F: exit (exit.c:75)
==29183== by 0x56E91CA: (below main) (libc-start.c:252)


(gdb) bt
#0 0x00007f3ae812a9dd in fini_context_translations () at setrans_client.c:211
#1 0x00007f3ae811e1f2 in __do_global_dtors_aux () from /lib/libselinux.so.1
#2 0x00007ffff9097700 in ?? ()
#3 0x00007f3ae812c041 in _fini () from /lib/libselinux.so.1
#4 0x00007ffff9097700 in ?? ()
#5 0x00007f3af0e88796 in _dl_fini () from /lib64/ld-linux-x86-64.so.2
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
--8<---------------cut here---------------end--------------->8---

        There have been two sets of patches proposed for this; first one
 merely initializes the variables in the init function, and this works
 for a number of people, but at least one person has reported a second
 segfault even with the patch installed[6]

        The second patch below converts a thread local cache to a
 process wide cache, with mutex guards, which makes the cache slower,
 and non-thread local caches means that cache misses are more likely.

        I'll try and follow up with people who can reproduce the
 problems to see if either one of the patches solve their problems
 without triggering other segmentation faults, but I'd appreciate
 comments if anyone has insight into the issue.

        manoj

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505920
[1] http://bugs.launchpad.net/ubuntu/+source/libselinux/+bug/237156  
[2] http://mail.gnome.org/archives/gnome-shell-list/2008-November/msg00001.html
[3] https://bugs.launchpad.net/ubuntu/+source/nspluginwrapper/+bug/357965
[4] https://bugs.launchpad.net/ubuntu/+source/libselinux/+bug/237156/comments/6
[5] https://bugs.launchpad.net/ubuntu/+source/libselinux/+bug/99949


[0001--init-static-variables-Initialize-thread-variable.patch (text/x-diff, attachment)]
[0001--tls-fix-Convert-cache-to-static-cache-with-mutex.patch (text/x-diff, attachment)]
[Message part 4 (text/plain, inline)]

-- 
Manoj Srivastava <manoj.srivastava@stdc.com> <srivasta@acm.org>        
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C

Tags added: help, unreproducible Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. (Wed, 06 May 2009 06:54:05 GMT) Full text and rfc822 format available.

Message sent on to Greg Auger <gregory.auger@googlemail.com>:
Bug#505920. (Wed, 06 May 2009 10:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 505920-submitter@bugs.debian.org (full text, mbox):

From: Tomas Mraz <tmraz@redhat.com>
To: Manoj Srivastava <srivasta@golden-gryphon.com>
Cc: selinux@tycho.nsa.gov, 505920-forwarded@bgs.debian.org, Kees Cook <kees@debian.org>, 505920-submitter@bugs.debian.org, selinux-devel-owner@lists.alioth.debian.org
Subject: Re: Problems with freeing thread local storage in libselinux
Date: Wed, 06 May 2009 12:38:35 +0200
[Message part 1 (text/plain, inline)]
On Wed, 2009-05-06 at 01:32 -0500, Manoj Srivastava wrote:
> Hi folks,
> 
>         There have been numerous reports in Debian and derivatives of
>  programs linked with libselinux intermittently getting segfaults.
>  There is, for instance, the Debian report 505920[0], and Ubuntu
>  reports[1], [3] and [5], and Gnome [2]. I have not been able to
>  reproduce the error myself, though I have run the test cases a number
>  of times.
> 
>         The common thread in unclutter, libavg, gst-inspect et al. is a
>  segmentation fault in libselinux1, in the 'fini' destructor functions,
>  referencing the thread local variables.
> 
>         The Ubuntu bug log reference my old patch for libselinux from
>  1.X days, where I replaced the thread local storage with regular
>  variables and mutexes, and people report success with that.  I suspect
>  that something is corrupting the thread local storage. From the ubuntu
>  report:
> --8<---------------cut here---------------start------------->8---
> Valgrind reports:
> =29183== Invalid read of size 8
> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)
> ==29183== by 0x570010F: exit (exit.c:75)
> 505920==29183== by 0x56E91CA: (below main) (libc-start.c:252)
> ==29183== Address 0x80 is not stack'd, malloc'd or (recently) free'd
> ==29183==
> ==29183== Process terminating with default action of signal 11 (SIGSEGV): dumping core
> ==29183== Access not within mapped region at address 0x80
> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)==29183== by 0x570010F: exit (exit.c:75)
> ==29183== by 0x56E91CA: (below main) (libc-start.c:252)
> 
> 
> (gdb) bt
> #0 0x00007f3ae812a9dd in fini_context_translations () at setrans_client.c:211
> #1 0x00007f3ae811e1f2 in __do_global_dtors_aux () from /lib/libselinux.so.1
> #2 0x00007ffff9097700 in ?? ()
> #3 0x00007f3ae812c041 in _fini () from /lib/libselinux.so.1
> #4 0x00007ffff9097700 in ?? ()
> #5 0x00007f3af0e88796 in _dl_fini () from /lib64/ld-linux-x86-64.so.2
> Backtrace stopped: previous frame inner to this frame (corrupt stack?)
> --8<---------------cut here---------------end--------------->8---
> 
>         There have been two sets of patches proposed for this; first one
>  merely initializes the variables in the init function, and this works
>  for a number of people, but at least one person has reported a second
>  segfault even with the patch installed[6]
> 
>         The second patch below converts a thread local cache to a
>  process wide cache, with mutex guards, which makes the cache slower,
>  and non-thread local caches means that cache misses are more likely.
> 
>         I'll try and follow up with people who can reproduce the
>  problems to see if either one of the patches solve their problems
>  without triggering other segmentation faults, but I'd appreciate
>  comments if anyone has insight into the issue.

The problem is with freeing storage referenced by TLS variables in
destructors. The destructor is called only in one of the threads and the
variables might not be even properly initialized in that thread. One
possibility is to not free the storage at all but that will leak memory
if the libselinux is loaded/unloaded multiple times in a process.

The only proper way is to use TSD (pthread_key_create,
pthread_setspecific etc.) to store the pointers to the cached contexts.

The attached patch implements this. I did not test it thoroughly though.

-- 
Tomas Mraz
No matter how far down the wrong road you've gone, turn back.
                                              Turkish proverb
[libselinux-2.0.80-tsd.patch (text/x-patch, attachment)]

Message sent on to Greg Auger <gregory.auger@googlemail.com>:
Bug#505920. (Thu, 11 Jun 2009 19:45:03 GMT) Full text and rfc822 format available.

Message #23 received at 505920-submitter@bugs.debian.org (full text, mbox):

From: Chad Sellers <csellers@tresys.com>
To: Tomas Mraz <tmraz@redhat.com>, Manoj Srivastava <srivasta@golden-gryphon.com>
Cc: <selinux@tycho.nsa.gov>, <505920-forwarded@bgs.debian.org>, Kees Cook <kees@debian.org>, <505920-submitter@bugs.debian.org>, <selinux-devel-owner@lists.alioth.debian.org>
Subject: Re: Problems with freeing thread local storage in libselinux
Date: Thu, 11 Jun 2009 15:41:16 -0400
On 5/6/09 6:38 AM, "Tomas Mraz" <tmraz@redhat.com> wrote:

> On Wed, 2009-05-06 at 01:32 -0500, Manoj Srivastava wrote:
>> Hi folks,
>> 
>>         There have been numerous reports in Debian and derivatives of
>>  programs linked with libselinux intermittently getting segfaults.
>>  There is, for instance, the Debian report 505920[0], and Ubuntu
>>  reports[1], [3] and [5], and Gnome [2]. I have not been able to
>>  reproduce the error myself, though I have run the test cases a number
>>  of times.
>> 
>>         The common thread in unclutter, libavg, gst-inspect et al. is a
>>  segmentation fault in libselinux1, in the 'fini' destructor functions,
>>  referencing the thread local variables.
>> 
>>         The Ubuntu bug log reference my old patch for libselinux from
>>  1.X days, where I replaced the thread local storage with regular
>>  variables and mutexes, and people report success with that.  I suspect
>>  that something is corrupting the thread local storage. From the ubuntu
>>  report:
>> --8<---------------cut here---------------start------------->8---
>> Valgrind reports:
>> =29183== Invalid read of size 8
>> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
>> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
>> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)
>> ==29183== by 0x570010F: exit (exit.c:75)
>> 505920==29183== by 0x56E91CA: (below main) (libc-start.c:252)
>> ==29183== Address 0x80 is not stack'd, malloc'd or (recently) free'd
>> ==29183==
>> ==29183== Process terminating with default action of signal 11 (SIGSEGV):
>> dumping core
>> ==29183== Access not within mapped region at address 0x80
>> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
>> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
>> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)==29183== by 0x570010F:
>> exit (exit.c:75)
>> ==29183== by 0x56E91CA: (below main) (libc-start.c:252)
>> 
>> 
>> (gdb) bt
>> #0 0x00007f3ae812a9dd in fini_context_translations () at setrans_client.c:211
>> #1 0x00007f3ae811e1f2 in __do_global_dtors_aux () from /lib/libselinux.so.1
>> #2 0x00007ffff9097700 in ?? ()
>> #3 0x00007f3ae812c041 in _fini () from /lib/libselinux.so.1
>> #4 0x00007ffff9097700 in ?? ()
>> #5 0x00007f3af0e88796 in _dl_fini () from /lib64/ld-linux-x86-64.so.2
>> Backtrace stopped: previous frame inner to this frame (corrupt stack?)
>> --8<---------------cut here---------------end--------------->8---
>> 
>>         There have been two sets of patches proposed for this; first one
>>  merely initializes the variables in the init function, and this works
>>  for a number of people, but at least one person has reported a second
>>  segfault even with the patch installed[6]
>> 
>>         The second patch below converts a thread local cache to a
>>  process wide cache, with mutex guards, which makes the cache slower,
>>  and non-thread local caches means that cache misses are more likely.
>> 
>>         I'll try and follow up with people who can reproduce the
>>  problems to see if either one of the patches solve their problems
>>  without triggering other segmentation faults, but I'd appreciate
>>  comments if anyone has insight into the issue.
> 
> The problem is with freeing storage referenced by TLS variables in
> destructors. The destructor is called only in one of the threads and the
> variables might not be even properly initialized in that thread. One
> possibility is to not free the storage at all but that will leak memory
> if the libselinux is loaded/unloaded multiple times in a process.
> 
> The only proper way is to use TSD (pthread_key_create,
> pthread_setspecific etc.) to store the pointers to the cached contexts.
> 
> The attached patch implements this. I did not test it thoroughly though.

I did some testing on this and it seems to work well.

Acked-by: Chad Sellers <csellers@tresys.com>






Message sent on to Greg Auger <gregory.auger@googlemail.com>:
Bug#505920. (Tue, 23 Jun 2009 17:12:02 GMT) Full text and rfc822 format available.

Message #26 received at 505920-submitter@bugs.debian.org (full text, mbox):

From: Joshua Brindle <method@manicmethod.com>
To: Chad Sellers <csellers@tresys.com>
Cc: Tomas Mraz <tmraz@redhat.com>, Manoj Srivastava <srivasta@golden-gryphon.com>, selinux@tycho.nsa.gov, 505920-forwarded@bgs.debian.org, Kees Cook <kees@debian.org>, 505920-submitter@bugs.debian.org, selinux-devel-owner@lists.alioth.debian.org
Subject: Re: Problems with freeing thread local storage in libselinux
Date: Tue, 23 Jun 2009 13:08:53 -0400
Chad Sellers wrote:
> On 5/6/09 6:38 AM, "Tomas Mraz"<tmraz@redhat.com>  wrote:
>
>> On Wed, 2009-05-06 at 01:32 -0500, Manoj Srivastava wrote:
>>> Hi folks,
>>>
>>>          There have been numerous reports in Debian and derivatives of
>>>   programs linked with libselinux intermittently getting segfaults.
>>>   There is, for instance, the Debian report 505920[0], and Ubuntu
>>>   reports[1], [3] and [5], and Gnome [2]. I have not been able to
>>>   reproduce the error myself, though I have run the test cases a number
>>>   of times.
>>>
>>>          The common thread in unclutter, libavg, gst-inspect et al. is a
>>>   segmentation fault in libselinux1, in the 'fini' destructor functions,
>>>   referencing the thread local variables.
>>>
>>>          The Ubuntu bug log reference my old patch for libselinux from
>>>   1.X days, where I replaced the thread local storage with regular
>>>   variables and mutexes, and people report success with that.  I suspect
>>>   that something is corrupting the thread local storage. From the ubuntu
>>>   report:
>>> --8<---------------cut here---------------start------------->8---
>>> Valgrind reports:
>>> =29183== Invalid read of size 8
>>> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
>>> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
>>> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)
>>> ==29183== by 0x570010F: exit (exit.c:75)
>>> 505920==29183== by 0x56E91CA: (below main) (libc-start.c:252)
>>> ==29183== Address 0x80 is not stack'd, malloc'd or (recently) free'd
>>> ==29183==
>>> ==29183== Process terminating with default action of signal 11 (SIGSEGV):
>>> dumping core
>>> ==29183== Access not within mapped region at address 0x80
>>> ==29183== at 0xE29B9DD: fini_context_translations (setrans_client.c:211)
>>> ==29183== by 0xE28F1F1: (within /lib/libselinux.so.1)
>>> ==29183== by 0xE29D040: (within /lib/libselinux.so.1)==29183== by 0x570010F:
>>> exit (exit.c:75)
>>> ==29183== by 0x56E91CA: (below main) (libc-start.c:252)
>>>
>>>
>>> (gdb) bt
>>> #0 0x00007f3ae812a9dd in fini_context_translations () at setrans_client.c:211
>>> #1 0x00007f3ae811e1f2 in __do_global_dtors_aux () from /lib/libselinux.so.1
>>> #2 0x00007ffff9097700 in ?? ()
>>> #3 0x00007f3ae812c041 in _fini () from /lib/libselinux.so.1
>>> #4 0x00007ffff9097700 in ?? ()
>>> #5 0x00007f3af0e88796 in _dl_fini () from /lib64/ld-linux-x86-64.so.2
>>> Backtrace stopped: previous frame inner to this frame (corrupt stack?)
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>>          There have been two sets of patches proposed for this; first one
>>>   merely initializes the variables in the init function, and this works
>>>   for a number of people, but at least one person has reported a second
>>>   segfault even with the patch installed[6]
>>>
>>>          The second patch below converts a thread local cache to a
>>>   process wide cache, with mutex guards, which makes the cache slower,
>>>   and non-thread local caches means that cache misses are more likely.
>>>
>>>          I'll try and follow up with people who can reproduce the
>>>   problems to see if either one of the patches solve their problems
>>>   without triggering other segmentation faults, but I'd appreciate
>>>   comments if anyone has insight into the issue.
>> The problem is with freeing storage referenced by TLS variables in
>> destructors. The destructor is called only in one of the threads and the
>> variables might not be even properly initialized in that thread. One
>> possibility is to not free the storage at all but that will leak memory
>> if the libselinux is loaded/unloaded multiple times in a process.
>>
>> The only proper way is to use TSD (pthread_key_create,
>> pthread_setspecific etc.) to store the pointers to the cached contexts.
>>
>> The attached patch implements this. I did not test it thoroughly though.
>
> I did some testing on this and it seems to work well.
>
> Acked-by: Chad Sellers<csellers@tresys.com>
>

Merged in libselinux 2.0.82




Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. (Wed, 24 Jun 2009 20:00:08 GMT) Full text and rfc822 format available.

Notification sent to Greg Auger <gregory.auger@googlemail.com>:
Bug acknowledged by developer. (Wed, 24 Jun 2009 20:00:08 GMT) Full text and rfc822 format available.

Message #31 received at 505920-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 505920-close@bugs.debian.org
Subject: Bug#505920: fixed in libselinux 2.0.82-1
Date: Wed, 24 Jun 2009 19:47:05 +0000
Source: libselinux
Source-Version: 2.0.82-1

We believe that the bug you reported is fixed in the latest version of
libselinux, which is due to be installed in the Debian FTP archive:

libselinux-ruby1.8_2.0.82-1_amd64.deb
  to pool/main/libs/libselinux/libselinux-ruby1.8_2.0.82-1_amd64.deb
libselinux1-dev_2.0.82-1_amd64.deb
  to pool/main/libs/libselinux/libselinux1-dev_2.0.82-1_amd64.deb
libselinux1_2.0.82-1_amd64.deb
  to pool/main/libs/libselinux/libselinux1_2.0.82-1_amd64.deb
libselinux_2.0.82-1.diff.gz
  to pool/main/libs/libselinux/libselinux_2.0.82-1.diff.gz
libselinux_2.0.82-1.dsc
  to pool/main/libs/libselinux/libselinux_2.0.82-1.dsc
libselinux_2.0.82.orig.tar.gz
  to pool/main/libs/libselinux/libselinux_2.0.82.orig.tar.gz
python-selinux_2.0.82-1_amd64.deb
  to pool/main/libs/libselinux/python-selinux_2.0.82-1_amd64.deb
selinux-utils_2.0.82-1_amd64.deb
  to pool/main/libs/libselinux/selinux-utils_2.0.82-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated libselinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 24 Jun 2009 14:06:41 -0500
Source: libselinux
Binary: selinux-utils libselinux1 libselinux1-dev libselinux-ruby1.8 python-selinux
Architecture: source amd64
Version: 2.0.82-1
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 libselinux-ruby1.8 - Ruby bindings to SELinux shared libraries
 libselinux1 - SELinux shared libraries
 libselinux1-dev - SELinux development headers
 python-selinux - Python bindings to SELinux shared libraries
 selinux-utils - SELinux utility programs
Closes: 505920
Changes: 
 libselinux (2.0.82-1) unstable; urgency=low
 .
   * New upstream release
     + Fix improper use of thread local storage from Tomas Mraz
       <tmraz@redhat.com>.
       Bug fix: "ends with Segmentation fault", thanks to Greg Auger
                                                (Closes:    #505920).
     + Label substitution support from Dan Walsh.
     + Support for labeling virtual machine images from Dan Walsh.
Checksums-Sha1: 
 da5a63ae654effc3bd253aac7df10d22ee3a3dce 1290 libselinux_2.0.82-1.dsc
 520289afe6c289469b5c52d4a6231cc7ae640a11 174806 libselinux_2.0.82.orig.tar.gz
 8aef7e578d8ffe9b1c3704ebde572624377a638d 38263 libselinux_2.0.82-1.diff.gz
 4b61dbae7f58325e6da83ad7084aab69379c5531 58436 selinux-utils_2.0.82-1_amd64.deb
 11368e7fb698b5d8a562e49dbd087177a47dd907 81742 libselinux1_2.0.82-1_amd64.deb
 7f1f62de8afc6d016b808822ae14dc2f02f6d347 312124 libselinux1-dev_2.0.82-1_amd64.deb
 8895054a5aaa21b532c64c03cfa7218ef54855e1 66362 libselinux-ruby1.8_2.0.82-1_amd64.deb
 02e3c7d04cf2af2295424e82fb92a92201f6b9a6 294860 python-selinux_2.0.82-1_amd64.deb
Checksums-Sha256: 
 94efccc70042fb98de65fbe56485057f3088b1f89b108c5ca6ad334ceab672b7 1290 libselinux_2.0.82-1.dsc
 350bd4c2e290af551f12a8b1c97e822465b26298179b6a5062f5bb43f99c629b 174806 libselinux_2.0.82.orig.tar.gz
 e86c7d03702170fa0a9f7219a37b2d73518e5c45b795887ea82a9e69ee77c645 38263 libselinux_2.0.82-1.diff.gz
 1daf0f2b7c19539a456fd2f9a9b2d077ae26f75b434b7314cd64b0715b9d1674 58436 selinux-utils_2.0.82-1_amd64.deb
 658f32a1904b9c951408d6fded3202d8ae15d872676afdae9c6cbc8b20173a42 81742 libselinux1_2.0.82-1_amd64.deb
 5a27d62a3238ee4e10e49159d4b37b6eb07b929300de0d45660e8df4f37d51cf 312124 libselinux1-dev_2.0.82-1_amd64.deb
 2280f304eb39c9a955fe504e976e62a7c97508cb10a9905213d80d1dfb4baf2f 66362 libselinux-ruby1.8_2.0.82-1_amd64.deb
 ce237caf448dca049ba4f28c9225bac071592da16cf2cbac3f83723148981f9b 294860 python-selinux_2.0.82-1_amd64.deb
Files: 
 68da5bef7a384b9aadd99eb11fd16f71 1290 libs optional libselinux_2.0.82-1.dsc
 d320d0fe6bcd22b0e8ae92148a0b181a 174806 libs optional libselinux_2.0.82.orig.tar.gz
 0254835bf0cbdd5ffff5d009cf66137d 38263 libs optional libselinux_2.0.82-1.diff.gz
 7522e6362c3e1c89c3cca874af35cfa7 58436 admin optional selinux-utils_2.0.82-1_amd64.deb
 1afad2ad4001b2f637ea51b2433001db 81742 libs required libselinux1_2.0.82-1_amd64.deb
 3726a5e3913be97c255b7f8d5a8e8306 312124 libdevel optional libselinux1-dev_2.0.82-1_amd64.deb
 fb14a16c6b6a8e39c278b9bcc92a43a2 66362 ruby optional libselinux-ruby1.8_2.0.82-1_amd64.deb
 a694580640a6d50c6911ec5c78830319 294860 python optional python-selinux_2.0.82-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAkpCgXQACgkQIbrau78kQkwnAgCeLQcSSN9Ion4EBElo6hdUImDH
dj0AoOeTYCS6FKY9gDEWwH4rdJ6VeYtU
=8Zvr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Aug 2009 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:36:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.